Skip to content
OpenPostDocs
OpenPostDocs
Editor Agent

Poll the next operation for the open editor

GET/editor-agent/sessions/{session_id}/next

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

session_id*string

Query Parameters

epoch*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/editor-agent/sessions/string/next?epoch=string"
{  "$schema": "https://example.com/api/v1/schemas/EditorAgentNextOutputBody.json",  "request": {    "$schema": "https://example.com/api/v1/schemas/Request.json",    "arguments": null,    "created_at": "2019-08-24T14:15:22Z",    "error": null,    "expires_at": "2019-08-24T14:15:22Z",    "id": "string",    "operation": "string",    "request_key": "string",    "result": null,    "session_id": "string",    "status": "string",    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  }}